## com.google.gwt.user.client.ui
Class HorizontalSplitPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SplitPanel
                      com.google.gwt.user.client.ui.HorizontalSplitPanel

All Implemented Interfaces:
  EventListener, HasWidgets

public final class HorizontalSplitPanel
extends com.google.gwt.user.client.ui.SplitPanel

A panel that arranges two widgets in a single horizontal row and allows the user to interactively change the proportion of the width dedicated to each of the two widgets. Widgets contained within a `HorizontalSplitPanel` will be automatically decorated with scrollbars when necessary.

### CSS Style Rules

- .gwt-HorizontalSplitPanel { the panel itself }
- .gwt-HorizontalSplitPanel left { the left container }
- .gwt-HorizontalSplitPanel right { the right container }
- .gwt-HorizontalSplitPanel splitter { the splitter }

Constructor Summary
`HorizontalSplitPanel()` Creates an empty horizontal split panel.

Method Summary
`void` `add(Widget w)` Adds a child widget.
`protected Element` `getElement(int index)` Gets the content element for the given index.
`Widget` `getLeftWidget()` Gets the widget in the left side of the panel.
`Widget` `getRightWidget()` Gets the widget in the right side of the panel.
`protected Element` `getSplitElement()` Gets the element that is acting as the splitter.
`protected Widget` `getWidget(int index)` Gets one of the contained widgets.
`boolean` `isResizing()` Indicates whether the split panel is being resized.
`java.util.Iterator` `iterator()` Gets an iterator for the contained widgets.
`void` `onBrowserEvent(Event event)` Fired whenever a browser event is received.
`protected void` `onLoad()` This method is called immediately after a widget becomes attached to the browser's document.
`boolean` `remove(Widget widget)` Removes a child widget.
`void` `setHeight(java.lang.String height)` Sets the object's height.
`void` `setLeftWidget(Widget w)` Sets the widget in the left side of the panel.
`void` `setRightWidget(Widget w)` Sets the widget in the right side of the panel.
`void` `setSplitPosition(java.lang.String pos)` Moves the position of the splitter.
`protected void` `setWidget(int index, Widget w)` Sets one of the contained widgets.

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, clear, disown, onAttach, onDetach`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onUnload, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getTitle, isVisible, isVisible, removeStyleName, resetStyleName, setPixelSize, setSize, setStyleName, setStyleName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HorizontalSplitPanel

    public HorizontalSplitPanel()

  Creates an empty horizontal split panel.

Method Detail

### getLeftWidget

    public final Widget getLeftWidget()

  Gets the widget in the left side of the panel.

  Returns:
    the widget, `null` if there is not one.

### getRightWidget

    public final Widget getRightWidget()

  Gets the widget in the right side of the panel.

  Returns:
    the widget, `null` if there is not one.

### setHeight

    public final void setHeight(java.lang.String height)

  Description copied from class: `UIObject`
  Sets the object's height. This height does not include decorations such as border, margin, and padding.

  Overrides:
    `setHeight` in class `UIObject`
  Parameters:
    `height` - the object's new height, in CSS units (e.g. "10px", "1em")

### setLeftWidget

    public final void setLeftWidget(Widget w)

  Sets the widget in the left side of the panel.

  Parameters:
    `w` - the widget

### setRightWidget

    public final void setRightWidget(Widget w)

  Sets the widget in the right side of the panel.

  Parameters:
    `w` - the widget

### setSplitPosition

    public final void setSplitPosition(java.lang.String pos)

  Description copied from class: `com.google.gwt.user.client.ui.SplitPanel`
  Moves the position of the splitter.

  Parameters:
    `pos` - the new size of the left region in CSS units (e.g. "10px", "1em")

### onLoad

    protected void onLoad()

  Description copied from class: `Widget`
  This method is called immediately after a widget becomes attached to the browser's document.

  Overrides:
    `onLoad` in class `Widget`

### add

    public void add(Widget w)

  Description copied from interface: `HasWidgets`
  Adds a child widget.

  Specified by:
    `add` in interface `HasWidgets`
  Overrides:
    `add` in class `Panel`

### isResizing

    public boolean isResizing()

  Indicates whether the split panel is being resized.

  Returns:
    `true` if the user is dragging the splitter, `false` otherwise

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `HasWidgets`
  Gets an iterator for the contained widgets. This iterator is required to implement `Iterator.remove()`.

### onBrowserEvent

    public void onBrowserEvent(Event event)

  Description copied from interface: `EventListener`
  Fired whenever a browser event is received.

  Specified by:
    `onBrowserEvent` in interface `EventListener`
  Overrides:
    `onBrowserEvent` in class `Widget`

### remove

    public boolean remove(Widget widget)

  Description copied from interface: `HasWidgets`
  Removes a child widget.

  Parameters:
    `widget` - the widget to be removed
  Returns:
    `true` if the widget was present

### getElement

    protected Element getElement(int index)

  Gets the content element for the given index.

  Parameters:
    `index` - the index of the element, only 0 and 1 are valid.
  Returns:
    the element

### getSplitElement

    protected Element getSplitElement()

  Gets the element that is acting as the splitter.

  Returns:
    the element

### getWidget

    protected Widget getWidget(int index)

  Gets one of the contained widgets.

  Parameters:
    `index` - the index of the widget, only 0 and 1 are valid.
  Returns:
    the widget

### setWidget

    protected final void setWidget(int index,
                                   Widget w)

  Sets one of the contained widgets.

  Parameters:
    `index` - the index, only 0 and 1 are valid
    `w` - the widget